[metadata]
name = msspec
version = attr: msspec.version.__version__
author = Didier Sébilleau, Sylvain Tricot
author_email = sylvain.tricot@univ-rennes1.fr
url = https://msspec.cnrs.fr
description = A multiple scattering package for sepectroscopies using electrons to probe materials
long_description = MsSpec is a Fortran package to compute the
                   cross-section of several spectroscopies involving one (or more)
                   electron(s) as the probe. This package provides a python interface to
                   control all the steps of the calculation.

                   Available spectroscopies:
                       * Photoelectron diffraction
                       * Auger electron diffraction
                       * Low energy electron diffraction
                       * X-Ray absorption spectroscopy
                       * Auger Photoelectron coincidence spectroscopy
                       * Computation of the spectral radius""",
keywords = spectroscopy atom electron photon multiple scattering
license = GPL
classifiers =
    Development Status :: 3 - Alpha
    Environment :: Console
    Intended Audience :: Science/Research
    License :: OSI Approved :: GNU General Public License (GPL)
    Natural Language :: English
    Operating System :: Microsoft :: Windows :: Windows 10
    Operating System :: POSIX :: Linux
    Operating System :: MacOS :: MacOS X
    Programming Language :: Fortran
    Programming Language :: Python :: 3 :: Only
    Topic :: Scientific/Engineering :: Physics

[options]
packages = find:
zip_safe = False
install_requires =
    setuptools_scm
    ase
    h5py
    ipython
    lxml
    matplotlib
    numpy
    Pint
    pandas
    pycairo
    scipy
    terminaltables

[options.package_data]
msspec.phagen.fortran = *.so
msspec.spec.fortran = *.so
